1 2 Previous Next 16 Replies Latest reply: Oct 9, 2012 2:11 PM by jrepasky Go to original post
  • 15. Re: Compressor 3.5.3 won't run in Lion for me
    Carlo Arias Level 1 Level 1 (15 points)

    Thanks man, using Using Compressor Repair from Digital Rebellion did it for me...

  • 16. Re: Compressor 3.5.3 won't run in Lion for me
    jrepasky Level 1 Level 1 (0 points)

    I ran the binary that is compressor at the bash prompt and got the following error

     

     

    dyld: Library not loaded: @loader_path/Frameworks/mch264enc.framework/mch264enc

      Referenced from: /Library/Application Support/ProApps/SharedA/Frameworks/H264Encoder.framework/Versions/A/H264Encoder

      Reason: image not found

    Trace/BPT trap: 5

     

     

     

     

    I looked for the files its complaining about and they seem to be in the wrong place

     

     

    /Library/Application\ Support/ProApps/SharedA/Frameworks/H264Encoder.framework/Versions/A/Frameworks/ mch264enc.framework/Versions/8.0/mch264enc

    /Library/Application\ Support/ProApps/SharedA/Frameworks/H264Encoder.framework/Versions/A/Frameworks/ mch264enc.framework/Resources

     

     

    I moved the following files into the place they are being looked for

     

     

    /Library/Application\ Support/ProApps/SharedA/Frameworks/H264Encoder.framework/Versions/A/Frameworks/ mch264enc.framework/mch264enc

    /Library/Application\ Support/ProApps/SharedA/Frameworks/H264Encoder.framework/Versions/A/Frameworks/ mch264enc.framework/Resources

     

     

     

     

    compressor 3.5.3 now opens fine

1 2 Previous Next